Bug 862967 - Heal uid/gid of directories in distribute
Heal uid/gid of directories in distribute
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 23:55 EDT by shishir gowda
Modified: 2013-12-08 20:33 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:11:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-10-03 23:55:22 EDT
Description of problem:
If there is mismatch of uid/gid on a directory, it never gets healed, unless there is over-write of these attrs.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. create dir
2. take down one brick
3. change ownership (chown) of dir
4. bring brick back up
  
Actual results:
dir ownerships differ

Expected results:
dir ownership should not differ

Additional info:
Comment 1 shishir gowda 2012-10-11 01:57:39 EDT
Fix out for review (http://review.gluster.org/#change,3964).

To test the fix:
1. Create >2 bricks dht volume
2. Create dir
3. Kill one of the bricks
4. chown on the bricks from client
5. force start volume to brick back the killed process
6. trigger a lookup on client
7. Check backend ownership of dir in question. It should have gotten the latest ownership
Comment 2 Vijay Bellur 2012-11-29 16:56:22 EST
CHANGE: http://review.gluster.org/3964 (cluster/dht: Heal dir uid/gid) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.